cURL
curl 'https://api.tenderly.co/api/v2/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulation-drafts/3f2a6c1e-8f1b-4c8e-9a2d-6b1e0f7c4d21' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
--compressedconst options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v2/account/{accountSlug}/project/{projectSlug}/simulation-drafts/{draftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/v2/account/{accountSlug}/project/{projectSlug}/simulation-drafts/{draftId}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/v2/account/{accountSlug}/project/{projectSlug}/simulation-drafts/{draftId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"v": 2,
"network": {
"id": "1"
},
"rows": [
{
"contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from": "0xab5801a7d398351b8be11c439e05c5b3259aec9b",
"inputDataType": "raw",
"rawFunctionInput": "0xa9059cbb000000000000000000000000ab5801a7d398351b8be11c439e05c5b3259aec9b00000000000000000000000000000000000000000000000000000000000f4240"
}
]
},
"account_id": "fa4a29af-ad72-44ac-9261-4bf3a8af3a06",
"project_id": "aaf3c9e1-9632-4e6e-a900-b704db935f74"
}
Simulator
Get a simulation draft
Fetch a stored simulation draft by ID to read back its payload. Project-scoped drafts also return their origin account and project IDs.
GET
/
v2
/
account
/
{accountSlug}
/
project
/
{projectSlug}
/
simulation-drafts
/
{draftId}
cURL
curl 'https://api.tenderly.co/api/v2/account/${TENDERLY_ACCOUNT_SLUG}/project/${TENDERLY_PROJECT_SLUG}/simulation-drafts/3f2a6c1e-8f1b-4c8e-9a2d-6b1e0f7c4d21' \
-H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \
--compressedconst options = {method: 'GET', headers: {'X-Access-Key': '<api-key>'}};
fetch('https://api.tenderly.co/api/v2/account/{accountSlug}/project/{projectSlug}/simulation-drafts/{draftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tenderly.co/api/v2/account/{accountSlug}/project/{projectSlug}/simulation-drafts/{draftId}"
headers = {"X-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tenderly.co/api/v2/account/{accountSlug}/project/{projectSlug}/simulation-drafts/{draftId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Access-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"payload": {
"v": 2,
"network": {
"id": "1"
},
"rows": [
{
"contractAddress": "0xdac17f958d2ee523a2206206994597c13d831ec7",
"from": "0xab5801a7d398351b8be11c439e05c5b3259aec9b",
"inputDataType": "raw",
"rawFunctionInput": "0xa9059cbb000000000000000000000000ab5801a7d398351b8be11c439e05c5b3259aec9b00000000000000000000000000000000000000000000000000000000000f4240"
}
]
},
"account_id": "fa4a29af-ad72-44ac-9261-4bf3a8af3a06",
"project_id": "aaf3c9e1-9632-4e6e-a900-b704db935f74"
}
Authorizations
ApiKeyAuthBearerAuth
An API key is a token that a client provides when making API calls. Send it as the X-Access-Key request header on any endpoint:
curl '<API_ENDPOINT>' \ -H 'X-Access-Key: ${TENDERLY_ACCESS_KEY}' \ ...
Learn how to generate API access tokens at Tenderly Docs.
Path Parameters
Response
The stored draft.